Page MenuHomePhabricator

Add separators to scratchcodes to ease readability
Closed, ResolvedPublic

Description

The scratch codes are actually a bit difficult to type. I propose we add a space separators after each 4 characters to create groups which should improve legibility. We then also should accept those values during validation of course (see also T150603: Accept space char when entering 2FA codes

Event Timeline

TheDJ created this task.Nov 16 2016, 10:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2016, 10:51 PM
TheDJ renamed this task from Add separators to scratchcodes to Add separators to scratchcodes to ease readability.Nov 16 2016, 10:52 PM
TheDJ moved this task from Backlog to User Experience on the MediaWiki-extensions-OATHAuth board.
TheDJ updated the task description. (Show Details)Nov 16 2016, 11:40 PM

Change 322115 had a related patch set uploaded (by TheDJ):
Improve legibility of secret and tokens

https://gerrit.wikimedia.org/r/322115

TheDJ added a comment.Nov 17 2016, 3:36 PM

Example of how it looks with my change:

TheDJ added a comment.Nov 17 2016, 4:11 PM


Screenshot which also employs a letterspacing of 0.1em.

Change 322115 merged by jenkins-bot:
Improve legibility of secret and tokens

https://gerrit.wikimedia.org/r/322115

TheDJ closed this task as Resolved.Nov 23 2016, 8:03 PM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.